Reload Certificate
Reload Certificate
Reload the certificate of the API Server. In case of failure, the existing certificate will continue to be used.
Request
POST /v1/managers/api:reloadCertificate
Header
Authorization: Basic {credentials}
# Authorization
Credentials for HTTP Basic Authentication created with <AccessToken>
Responses
200 OK
The request has succeeded
Header
Content-Type: application/json
Body
{
<strong> "message": "OK",
</strong> "statusCode": 200
}
# statusCode
Same as HTTP Status Code
# message
A human-readable description of the response code
400 Bad Request
TLS is not enabled for the API Server
Header
Content-Type: application/json
Body
{
"message": "[HTTP] TLS is not enabled for the API Server (400)",
"statusCode": 400
}
500 Internal Server Error
Failed to reload the certificate, so the existing one will be kept. The reason for the failure can be found in the server logs.
Header
Content-Type: application/json
Body
{
"message": "[HTTP] Failed to create a certificate for API Server (500)",
"statusCode": 500
}